using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("辨识岗位")]
    public class T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL_DEPART : MesEntityBase
    {
        /// <summary>
        /// 明细
        /// </summary>
        [Description("明细")]
        [DataFieldForeignKey("Nav_DoubleDetail", "Nav_DetailDeparts")]
        public Guid DOUBLE_PREVENT_MECHANISM_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航属性：明细
        /// </summary>
        [Description("导航属性：明细")]
        public T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL Nav_DoubleDetail { get; set; }

        [Description("辨识部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：辨识部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("辨识岗位表")]
        [FormFieldEdit]
        public ICollection<T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL_DEPART_DETAIL> Nav_DepartDetails { get; set; }
    }
}
